import * as puppeteer from 'puppeteer';
import playwright from 'playwright-core';
import { BrowserController } from './BrowserController';
/**
 * Type of supported page objects
 */
export declare type BrowserPage = puppeteer.Page | playwright.Page;
export declare class BrowserControllerFactory {
    /**
     * Returns instance of BrowserController corresponding to provided page
     */
    static createForPage(page: BrowserPage): BrowserController;
    private static isPlaywrightPage;
    private static isPuppeteerPage;
}
//# sourceMappingURL=BrowserControllerFactory.d.ts.map