import { Mock } from './mock';
import { MockedResponse, MockOptions, RequestMatcher, ShorthandRequestMatcher } from './types';
import { BrowserPage } from './controllers/BrowserControllerFactory';
export interface MockiavelliOptions {
    debug: boolean;
}
export declare class Mockiavelli {
    private mocks;
    constructor(options?: Partial<MockiavelliOptions>);
    static setup(page: BrowserPage, options?: Partial<MockiavelliOptions>): Promise<Mockiavelli>;
    private activate;
    mock<TResponseBody = any>(matcher: RequestMatcher, response: MockedResponse<TResponseBody>, options?: Partial<MockOptions>): Mock;
    mockGET<TResponseBody = any>(matcher: ShorthandRequestMatcher, response: MockedResponse<TResponseBody>, options?: Partial<MockOptions>): Mock;
    mockPOST<TResponseBody = any>(matcher: ShorthandRequestMatcher, response: MockedResponse<TResponseBody>, options?: Partial<MockOptions>): Mock;
    mockPUT<TResponseBody = any>(matcher: ShorthandRequestMatcher, response: MockedResponse<TResponseBody>, options?: Partial<MockOptions>): Mock;
    mockDELETE<TResponseBody = any>(matcher: ShorthandRequestMatcher, response: MockedResponse<TResponseBody>, options?: Partial<MockOptions>): Mock;
    mockPATCH<TResponseBody = any>(matcher: ShorthandRequestMatcher, response: MockedResponse<TResponseBody>, options?: Partial<MockOptions>): Mock;
    removeMock(mock: Mock): Mock | void;
    private onRequest;
}
//# sourceMappingURL=mockiavelli.d.ts.map